package com.hssx.pcbms.service;

import com.hssx.pcbms.entity.Task;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.pcbms.entity.vo.TaskVO;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-11
 */
public interface TaskService extends IService<Task> {

    HttpRespMsg addOrUpdate(Task task,String participantsIdes);

    HttpRespMsg getListByCondition(TaskVO taskVO, PageUtil page);

    HttpRespMsg detail(TaskVO taskVO);

    HttpRespMsg acceptTask(Task task);

    HttpRespMsg taskInvalidChecking();

    HttpRespMsg del(Task task);
}
